function [toterror stdev] = val3401(ndir, ncurv, fac, count, fesc, m, mc, cent, plt)

img = imread('./stimuliPasupathy/43_4.png', 'PNG');
st = regionprops(img,'Centroid');    
laV1_1 = V1(img, 'DOG', fesc, ndir);
laV2_1 = V2_endsc(laV1_1, fac, [fesc(:).size]);
if(cent)
  laV4_au = V4(laV1_1, laV2_1, m, mc, st(255).Centroid, 0);
else
  laV4_au = V4(laV1_1, laV2_1, m, mc, [200 200], 0);
end
laV2_1.endsc(:,:,1:200,:) = 0; laV2_1.corner(:,:,1:200,:) = 0;
laV2_1.signp(:,:,1:200,:) = 0; laV2_1.signn(:,:,1:200,:) = 0; 
laV1_1.simple_e(:,:,1:200,:) = 0; laV1_1.complex_e(:,:,1:200,:) = 0;
if(cent)
  laV4_1 = V4(laV1_1, laV2_1, m, mc, st(255).Centroid, 1);
else
  laV4_1 = V4(laV1_1, laV2_1, m, mc, [200 200], 1);
end
fct = respV4(laV4_1,ndir,ncurv);
ma = sum(sum(sum(laV4_au.act.*fct))); %+sum(sum(sum(laV4_au2.act.*fct)));
laV4_1.resp = sum(sum(sum(laV4_1.act.*fct)));
factor = 1;


fid2 = fopen('./b8-datafiles/val3401','r');
fn2 = fscanf(fid2,'%f');
z = 1; z2 = 1;

for i=1:51
  for j=1:count(i)
    if fn2(z)>.0

    img = imread(strcat('./stimuliPasupathy/',int2str(i),'_',int2str(j),'.png'),'PNG');
    st = regionprops(img,'Centroid');    
    laV1_2 = V1(img, 'DOG', fesc, ndir);
    laV2_2 = V2_endsc(laV1_2, fac, [fesc(:).size]);
    if(cent)
      laV4_2 = V4(laV1_2, laV2_2, m, mc, st(255).Centroid, 0);
    else
      laV4_2 = V4(laV1_2, laV2_2, m, mc, [200 200], 0);
    end
    laV4_2.resp = sum(sum(sum(laV4_2.act.*fct)));
%     res(z2) = sum(sum(sum(laV4_2.act.*fct)))/laV4_2.resp
    res(z2) = factor*laV4_2.resp/ma; %Rectify(laV4_2.resp,0.01,ma/8.5);
%     res(z2) = factor*Rectify(laV4_2.resp,.01,ma/7);
    fn1(z2) = fn2(z);
    error(z2) = abs(fn2(z)-res(z2));
    z2 = z2+1;
    end
    z = z+1;
%     z = z+count(i);
  end
end;
fclose(fid2);
toterror = mean(error); %370;
stdev = std(error);
if plt, figure, plot(1:z2-1,fn1,1:z2-1,res); grid on; end;
